lprng (3.8.B-5) unstable; urgency=medium

  * QA upload.
  * debian/rules: Pass CHOWN and CHGRP to configure (Closes: #977428).
  * debian/control: Update Priority to optional.
  * debian/changelog: Fix erroneous email address in old changelog entry.
  * debian/changelog: Remove trailing whitespace.
  * debian/control: Fix typo in "Vcs-Browser".
  * debian/control: Set Rules-Requires-Root to "no".
  * debian/copyright: Update URL for "Format".
  * debian/copyright: Update to BSD-4 license.
  * Update to debhelper-compat 13.
  * debian/control: Add Pre-Depends for "${misc:Pre-Depends}".
  * debian/control: Update to Standards-Version 4.5.1.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Mon, 21 Dec 2020 13:38:59 -0800

lprng (3.8.B-4) unstable; urgency=medium

  * QA upload.
  * Set VCS fields: upload to Salsa.

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Sat, 31 Oct 2020 08:10:41 -0300

lprng (3.8.B-3) unstable; urgency=medium

  [ Jérémy Bobbio ]
  * Remove build date from lpd.conf (Closes: #773981)

  [ Thadeu Lima de Souza Cascardo ]
  * Set Debian QA Group as Maintainer

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Sun, 04 Oct 2020 11:31:51 -0300

lprng (3.8.B-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with gcc-10

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Sat, 29 Aug 2020 09:36:08 -0300

lprng (3.8.B-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Specify executable and user to stop-start-daemon; closes security
    issue and fixes starting  with buster dpkg, Closes: #928040
  * Use --oknodo on start so that systemd doesn't fail if lprng is already
    running, Closes: #908770

 -- Sam Hartman <hartmans@debian.org>  Wed, 22 May 2019 09:18:03 -0400

lprng (3.8.B-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't lose authentication support when compiled with OpenSSL 1.1, patch by
    Reiner Herrmann <reiner@reiner-h.de> (Closes: #854468).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 08 Feb 2017 21:20:30 +0100

lprng (3.8.B-2) unstable; urgency=low

  * Compilies on hurd-i386 Closes: #671848
  * Added note about needed modules Closes: #659999
  * Added support for "status" action to init script from Peter Eisentraut
    Closes: #651459
  * Updated to debhelper compat 9
  * Updated to Debian standard 3.9.3
  * Patched source to compile with harden flags
  * Fixed configure flags to find openssl libs
  * filters moved to multiarch location
  * Added lpd.conf example Closes: #618482

 -- Craig Small <csmall@debian.org>  Mon, 11 Jun 2012 18:06:30 +1000

lprng (3.8.B-1) unstable; urgency=low

  * New upstream release
  * Changed source format to 3.0 (quilt)
  * Updated to standards version 3.9.1
  * Minor fixes to lpd.conf manpage

 -- Craig Small <csmall@debian.org>  Mon, 28 Feb 2011 09:25:20 +1100

lprng (3.8.A-3) unstable; urgency=low

  * Corrected patch for kfreebsd Closes: #537857
  * postinst checks for symlink on printcap Closes: #544986
  * Documented lpd_listen_port in lpd.conf man page Closes: #492684
  * Maintainer upload Closes: #544991
  * Changed rules file for new debhelper
  * Changed from dpatch to quilt for patching
  * Fixed symlinks for 2 filter man pages

 -- Craig Small <csmall@debian.org>  Tue, 22 Sep 2009 15:34:35 +1000

lprng (3.8.A-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Corrected runlevel settings in init.d script header, and add postinst
    code to recover installations affected by this bug (Closes:
    #541233).
  * Fixed build problem on kfreebsd (Closes: #537857).  Patch from
    Petr Salinger.
  * Updated debconf translations for Brazilian Portuguese from
    Eder L. Marques (Closes: 511890).
  * Updated debconf translation for Czech from Jan Outrata (Closes: #534967)

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  4 Sep 2009 10:24:59 +0200

lprng (3.8.A-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * The ''fix other packages breaking us'' release:
    + work around bug 489765 (and similars) by documenting
      it in the news file.
  * debian/control:
    + include misc-depends on the package, as we use debhelper.
    + upgrade standards version to 3.8.1 (no changes needed).
  * debian/config:
    + include set -e in the config script.
  * debian/README:
    + include information regarding printing with GTK 2.

 -- Rogério Brito <rbrito@ime.usp.br>  Wed, 20 May 2009 12:28:46 -0300

lprng (3.8.A-2) unstable; urgency=low

  * Added debconf translations:
    - Finnish. Closes: #496233
    - Vietnamese Closes: #500026
  * Removed old ja.po download file
  * Updated standards version

 -- Craig Small <csmall@debian.org>  Mon, 13 Oct 2008 08:27:50 +1100

lprng (3.8.A-1.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Use "$syslog" in Required-Start for LSB headers in the init
    script. Avoids failures when the syslog daemon is not
    syslog. Closes: #495696
  * Debconf translations:
    - Galician. Closes: #484142
    - Japanese. Closes: #491041
    - Swedish. Closes: #492098
    - Russian. Closes: #494474

 -- Christian Perrier <bubulle@debian.org>  Fri, 22 Aug 2008 07:16:16 +0200

lprng (3.8.A-1) unstable; urgency=low

  * New upstream release
  * Moved debconf include in preinst Closes: #474813
  * if-up script uses correct path for invole-rc.d Closes: #463578
  * init.d file uses sed instead of grep and cut Closes: #474295

 -- Craig Small <csmall@debian.org>  Wed, 07 May 2008 18:47:20 +1000

lprng (3.8.A~rc4-3) unstable; urgency=low

  * Put initialise back in and created function to create run directory

 -- Craig Small <csmall@debian.org>  Mon, 31 Mar 2008 10:09:15 +1100

lprng (3.8.A~rc4-2) unstable; urgency=low

  * Removed initialise from init.d script in restart step
  * Control now has a homepage, finally.

 -- Craig Small <csmall@debian.org>  Mon, 31 Mar 2008 08:48:04 +1100

lprng (3.8.A~rc4-1) unstable; urgency=low

  * New upstream release
  *   Note added that the logfile needs to be created Closes: #458003
  *   Kerberos patch reverted so krb5 works again Closes: #462741
  * Removed mention of spooldir in postinst Closes: #462605
  * Note about no remote connecitons Closes: #466964
  * Sample configu files don't have a suffix Closes: #467030
  * Updated to debhelper 6 Closes: #467031
  * Updated to standards version 3.7.4
  * Updated Japanese debian/po file Closes: #463249
  * Build-depends on openssl Closes: #469459
  * Removed sample files introduced in rc2

 -- Craig Small <csmall@debian.org>  Wed, 19 Mar 2008 08:43:09 +1100

lprng (3.8.A~rc2-1) unstable; urgency=low

  * New upstream release
  * Depends on libwrap0-dev not libwrap-dev Closes: #436315
  * init.d cleans correct lockfiles Closes: #418169
  * Daily cron check will exit if no /etc/printcap Closes: #457451, #318391
  * ifup.d script restarts lprng Closes: #144399
  * Added Spanish po-debconf translation Closes: #415283
  * Added Portuguese po-debconf translation Closes: #413776
  * Spool directory not shipped/deleted (checkpc makes it) Closes: #409907

 -- Craig Small <csmall@debian.org>  Thu, 24 Jan 2008 21:38:08 +1100

lprng (3.8.28dfsg.1-1) unstable; urgency=low

  * Removed RFC 1179 Closes: 393395
  * Init script changed to handle RAMRUN option Closes: #390687
  * Updated Japanese po-debconf file Closes: #392167

 -- Craig Small <csmall@debian.org>  Wed, 25 Oct 2006 14:47:02 +1000

lprng (3.8.28-6) unstable; urgency=low

  * init.d returns ok if stop is run but lpd is already dead
  * Rolling back 10_linelist_closefd patch makes lpd print Closes: #381512

 -- Craig Small <csmall@debian.org>  Sun,  6 Aug 2006 07:48:22 +1000

lprng (3.8.28-5) unstable; urgency=low

  * close fds before LDAP sockets Closes: #360788
  * Check configuration file location only with old prev versions
  * preinst has POSIX checks Closes: #358628
  * lp.1 optios->options Closes: #368482
  * README and lpd.conf.8 mention unix_socket_path Closes: #311774
  * Updated nl.po Closes: #377249
  * Standards version 3.7.2

 -- Craig Small <csmall@debian.org>  Tue, 18 Jul 2006 11:11:02 +1000

lprng (3.8.28-4) unstable; urgency=low

  * init.d script checks for /usr/lib/lprng Closes: #356054
  * debhelper v5
  * Standards version to 3.6.2
  * Depends on debconf-2.0 too Closes: #332011
  * Added debconf-updatepo to Clean target Closes: #337268
  * Updated German po file Closes: #345851
  * Updated French po file Closes: #337301
  * Updated Swedish PO file Closes: #338873
  * Updated Danish PO file Closes: #343441
  * Updated Italian PO file Closes: #343867
  * Remove /etc/default/lprng on purge Closes: #327530
  * Uses lsb init.d

 -- Craig Small <csmall@debian.org>  Sun, 12 Mar 2006 11:07:00 +1100

lprng (3.8.28-3.0.1) unstable; urgency=low

  * Binary-only non-maintainer upload for i386; no source changes.
  * Rebuild with libssl0.9.8

 -- Debian/i386 Build Daemon <buildd@buildd.debian.org>  Wed, 12 Oct 2005 00:47:44 -0700

lprng (3.8.28-3) unstable; urgency=low

  * Added Vietnamese translation Closes: #312602
  * Added Italian translation Closes: #287752
  * Compilies on gcc4 and AMD Closes: #287521
  * Since->From in templates Closes: #312603

 -- Craig Small <csmall@debian.org>  Fri, 26 Aug 2005 14:17:00 +1000

lprng (3.8.28-2) unstable; urgency=high

  * Fixed insecure lprng_certs directory Closes: #286391
    Above bug is a security fix

 -- Craig Small <csmall@debian.org>  Thu, 23 Dec 2004 14:33:21 +1100

lprng (3.8.28-1) unstable; urgency=low

  * New upstream release
  * Updated German debconf po Closes: #281134
  * Updated Dutch debconf po Closes: #277762
  * Added Czech debconf po Closes: #261791
  * Check for spool directory in postinst Closes: #218319

 -- Craig Small <csmall@debian.org>  Thu, 18 Nov 2004 15:43:33 +1100

lprng (3.8.27-1) unstable; urgency=low

  * New upstream release
    Upstream fixed busy loop Closes: #245274
  * Added Japanese po file Closes: #243264

 -- Craig Small <csmall@debian.org>  Wed, 26 May 2004 13:45:37 +1000

lprng (3.8.26-1) unstable; urgency=low

  * New upstream version
     IPP socket disabled Closes: #231587
  * Now uses dpatch for patch management
  * Added Dutch debconf translation Closes: #216935
  * Added Danish debconf translation Closes: #236490

 -- Craig Small <csmall@debian.org>  Wed, 24 Mar 2004 10:01:55 +1100

lprng (3.8.25-1) unstable; urgency=low

  * New upstream release
  * Upgraded to standards version 3.6.1
  * Upgraded watch file to version 2
  * Updated pt_BR po file Closes: #219849
  * Added Dutch debian po files Closes: #219635

 -- Craig Small <csmall@debian.org>  Fri,  6 Feb 2004 21:31:18 +1100

lprng (3.8.22-2) unstable; urgency=low

  * Added files line to deb-doc Closes: #210681

 -- Craig Small <csmall@debian.org>  Sat, 13 Sep 2003 20:39:12 +1000

lprng (3.8.22-1) unstable; urgency=low

  * New upstream release
    - Upstream accepted most of the patches, yay
  * Closes: #205528: chown with ':' not with '.' in postinst
  * Closes: #189045: checks with dpkg-statoverride before changing spool
    directory permissions.
  * Closes: #206342: Updated French debconf templates translation
  * Closes: #207975: Included updated Brazilian
    Portuguese (pt_BR) debconf template translations

 -- Craig Small <csmall@debian.org>  Fri, 12 Sep 2003 20:22:14 +1000

lprng (3.8.21-3) unstable; urgency=low

  * Fixed gettext brokeness that put stuff in wierd directories
    Closes: #204530

 -- Craig Small <csmall@debian.org>  Fri,  8 Aug 2003 13:17:51 +1000

lprng (3.8.21-2) unstable; urgency=low

  * Updated libtool Closes: #201936, #201624
  * Patched OF filter problem Closes: #200850
  * Changed template so that it doesn't use yes and no Closes: #201248

 -- Craig Small <csmall@debian.org>  Mon, 21 Jul 2003 07:02:01 +1000

lprng (3.8.21-1) unstable; urgency=low

  * New upstream source
  * Remove RFC1179 because of license issues Closes: #199812
  * Removed KRB5_PROTOTYPE Closes: #200588
  * Put in krb5 deprecated function workaround Closes: #200618
  * Removed log() function, its not used anywhere Closes: #200621
  * Fixed the config script so it checks for /etc/default files closes:
    #135356
  * Fixed checkpc man page to remove -c flag Closes: #139565
  * Debconf templates now use po-debconf
  * Fixed typo in debconf template Closes: #186131
  * My thanks to Kalle for the Kerberos patches
  * link liblpr with libkrb5 and libssl Closes: #195992

 -- Craig Small <csmall@debian.org>  Thu, 10 Jul 2003 11:21:47 +1000

lprng (3.8.20-4) unstable; urgency=high

  * Removed unsecure create of /tmp/before
    SECURITY BUG Closes: #188366

 -- Craig Small <csmall@debian.org>  Thu, 10 Apr 2003 21:13:56 +1000

lprng (3.8.20-3) unstable; urgency=medium

  * Fixed stupid flag type problem (causes crash on 64-bit): Closes: #183137

 -- Craig Small <csmall@debian.org>  Mon,  3 Mar 2003 09:00:58 +1100

lprng (3.8.20-2) unstable; urgency=low

  * Added libssl-dev to Build-Depends
  * Updated config.* using the rules Closes: #181859

 -- Craig Small <csmall@debian.org>  Fri, 21 Feb 2003 21:21:07 +1100

lprng (3.8.20-1) unstable; urgency=low

  * New upstream release
    - This should hopefully fix all those done_jobs problems

 -- Craig Small <csmall@debian.org>  Thu, 13 Feb 2003 21:47:22 +1100

lprng (3.8.15-2) unstable; urgency=low

  * Forced done_jobs to 0, doesnt fix #159632 but at least works by
    default
  * Added note in README.Debian about the evils of done_jobs
  * Added Kerberos 5 support, hope it doesn't break anything Closes: #166558
  * Ship an empty never changing /etc/lprng/lpd.conf, instead of reqiring
    users to remerge the change with every new upstream version
    (Thankyou Andreas) Closes: #147304, #120257

 -- Craig Small <csmall@eye-net.com.au>  Sun, 27 Oct 2002 09:24:49 +1100

lprng (3.8.15-1) unstable; urgency=low

  * New upstream source
    + fixes race condition on remove done jobs.
    + man page fixes

 -- Craig Small <csmall@eye-net.com.au>  Tue, 13 Aug 2002 18:13:05 +1000

lprng (3.8.12-5) unstable; urgency=low

  * Added t to printcap in postinst Closes: #147641, #149718, #149719

 -- Craig Small <csmall@eye-net.com.au>  Wed, 12 Jun 2002 10:10:39 +1000

lprng (3.8.12-4) unstable; urgency=low

  * Put /etc/lprng/printcap symlink in if nothing exists already
    Closes: #147641

 -- Craig Small <csmall@eye-net.com.au>  Mon,  3 Jun 2002 09:30:01 +1000

lprng (3.8.12-3) unstable; urgency=low

  * Disabled tcpwrappers Closes: #146511
  * Removed dh_testversion to stop it complaining during build.

 -- Craig Small <csmall@eye-net.com.au>  Thu, 16 May 2002 21:55:53 +1000

lprng (3.8.12-2) unstable; urgency=low

  * Updated config.sub and config.guess again Closes: #146322

 -- Craig Small <csmall@eye-net.com.au>  Thu,  9 May 2002 12:54:23 +1000

lprng (3.8.12-1) unstable; urgency=low

  * New upstream source
    - libwrap linked Closes: #140033
    - lprng 3.8.11 was withdrawn
  * Fixed ldconfig post(inst|rm) so lintian (should) stops complaining

 -- Craig Small <csmall@eye-net.com.au>  Mon,  6 May 2002 12:59:22 +1000

lprng (3.8.10-1) unstable; urgency=low

  * New upstream version
    - checkpc behaves itself with print filters Closes: #141090
    - as and ae options fixed in man page Closes: #137249

 -- Craig Small <csmall@eye-net.com.au>  Mon,  8 Apr 2002 09:25:12 +1000

lprng (3.8.9-1) unstable; urgency=low

  * New upstream source

 -- Craig Small <csmall@eye-net.com.au>  Sun, 10 Mar 2002 08:35:36 +1100

lprng (3.8.8-2) unstable; urgency=low

  * Fixed lpq -a problem, thanks luca! Closes: #129786

 -- Craig Small <csmall@eye-net.com.au>  Mon,  4 Mar 2002 09:18:25 +1100

lprng (3.8.8-1) unstable; urgency=low

  * New upstream version
    - local printer name should stay same Closes: #130608, #113707
  * Added new French template Closes: #132389
  * check for statoverrides

 -- Craig Small <csmall@eye-net.com.au>  Sat,  9 Feb 2002 16:40:31 +1100

lprng (3.8.4-2) unstable; urgency=low

  * Changed permissions of /var/run/lprng so non-root can get to it
    Closes: #129162,#129295

 -- Craig Small <csmall@eye-net.com.au>  Tue, 15 Jan 2002 08:43:23 +1100

lprng (3.8.4-1) unstable; urgency=low

  * New upstream version
    - Now allows Unix socket access /var/run/lprng/socket
    - Also can shut down tcp/ip access using lpd_port = 0
    - t1:  file 'hfA877', age 24.57 hours > 24.00 hours maximum
      Closes: #125843
  * cron job now ignores missing pid file Closes: #127882
  * init script now has quiet cron Closes: #124284

 -- Craig Small <csmall@eye-net.com.au>  Sat, 12 Jan 2002 16:53:55 +1100

lprng (3.8.2-1) unstable; urgency=low

  * New upstream version
    - New document about printing cookbook
  * Debconf question about do you want to start lpd.
    Closes: #57778, #85290, #115574
  * No longer have a printcap, but there is one in examples.
    Closes: #71050, #108655

 -- Craig Small <csmall@eye-net.com.au>  Wed,  5 Dec 2001 09:37:51 +1100

lprng (3.8.1-1) unstable; urgency=high

  * New upstream source
    - setuid SECURITY BUG fixed Closes: #120133
  * checkpc no longer talks about bogus Warning - calling Check_file for
    messages Closes: #118152

 -- Craig Small <csmall@eye-net.com.au>  Thu, 29 Nov 2001 08:10:20 +1100

lprng (3.8.0-1) unstable; urgency=low

  * New upstream source
  * changed pid filename from printer to 515 Closes: #115235
  * Deleted liblpr.a and liblpr.la. They were installed for some reason?

 -- Craig Small <csmall@eye-net.com.au>  Wed, 17 Oct 2001 08:45:41 +1000

lprng (3.7.7-2) unstable; urgency=low

  * Updated config.guess and config.sub Closes: #114709

 -- Craig Small <csmall@eye-net.com.au>  Sun,  7 Oct 2001 21:54:09 +1000

lprng (3.7.7-1) unstable; urgency=low

  * New upstream version
    - direct flag works, Closes: #97273
    - group option works, Closes: #85548
    - checkpc doesn't stuff filters permissions up
       Closes: #92608, #100086, #100717, #106191
    - doco fixed up, Closes: #97271, #86394, #108668
    - Uses right defaults for printer port, Closes: #105387
    - Direct was a Flag, Closes: #88180
  * Escape init.d file for funny characters Closes: #107095
  * Conflicts with cupsys-bsd Closes: #107219
  * Fixed paths in lpd.conf.5 Closes: #110888
  * Now have lpd.conf.local Closes:#82393
  * init.d start has oknodo Closes: #113966

 -- Craig Small <csmall@eye-net.com.au>  Thu,  6 Sep 2001 12:53:04 +1000

lprng (3.7.4-5) unstable; urgency=high

  * Added procps to build-depends Closes: #100795
  * Fixed getrlimit problem Closes: #95989
  * init.d works for lpd_ports Closes: #97272
  * Fixed up README.Debian Closes: #99404
  * Hopefully stopped dinstal from complaining Closes: #94672

 -- Craig Small <csmall@eye-net.com.au>  Thu, 21 Jun 2001 08:51:39 +1000

lprng (3.7.4-4) unstable; urgency=high

  * updated config.* for parisc people Closes: #94215
  * Added pt_BR language to templates, Closes: #92840
  * Added a patch to fix netmask selection

 -- Craig Small <csmall@debian.org>  Fri, 20 Apr 2001 13:07:58 +1000

lprng (3.7.4-3) unstable; urgency=high

  * Added a death to all lpd in postinst hopefully Closes: #88173, #74564
  * Also #85075, #85267
  * Debconf has German templates. Closes: #82856
  * Swedish too Closes: #83611
  * and French Closes: #83786
  * cron.daily will not complain if checkpc is not there Closes: #83073, #84276
  * cron.daily has better error messages Closes: #85869
  * No longer uses suidregister, hope I don't mess it up!!

 -- Craig Small <csmall@debian.org>  Sun, 11 Mar 2001 16:26:54 +1100

lprng (3.7.4-2) unstable; urgency=high

  * small patch to stop evil segfaults on alpha Closes: #82476, #82711
  * fix so it compiles on alpha Closes: #81707

 -- Craig Small <csmall@debian.org>  Sat, 20 Jan 2001 15:10:07 +1100

lprng (3.7.4-1) unstable; urgency=low

  * New upstream release
  * Split documents out to lprng-doc again.

 -- Craig Small <csmall@debian.org>  Thu,  4 Jan 2001 11:12:02 +1100

lprng (3.7.3-1) unstable; urgency=low

  * New upstream source
    - checks for inet_ntop Closes: #74390
  * copyright file fixed

 -- Craig Small <csmall@debian.org>  Wed, 27 Dec 2000 18:08:43 +1100

lprng (3.7.2-1) unstable; urgency=low

  * New upstream source
  * Upstream recalled this version before Debian release

 -- Craig Small <csmall@debian.org>  Fri, 22 Dec 2000 10:46:20 +1100

lprng (3.6.26-1) unstable; urgency=high

  * New upstream source
  * SECURITY FIX for gettext NLSPATH security bug
  * IPv6 stuff removed, Closes: #74390

 -- Craig Small <csmall@debian.org>  Mon, 16 Oct 2000 10:43:07 +1100

lprng (3.6.24-3) unstable; urgency=high

  * SECURITY FIX for syslog buffer overflow

 -- Craig Small <csmall@debian.org>  Thu,  5 Oct 2000 10:10:47 +1100

lprng (3.6.24-2) unstable; urgency=medium

  * Check for suidregsiter Closes: #69796, #69876, #69877, #69917

 -- Craig Small <csmall@debian.org>  Thu, 24 Aug 2000 08:36:46 +1000

lprng (3.6.24-1) unstable; urgency=medium

  * New upstream version
  * Actually released it, closing 3.6.22 bugs Closes: #67512, #67363

 -- Craig Small <csmall@debian.org>  Mon, 21 Aug 2000 11:50:16 +1000

lprng (3.6.22-1) unstable; urgency=medium

  * New upstream source
  * Removed dependancy on suidmanager Closes: #67512
  * CPU overload problem fixed Closes: #67363
  * NEVER RELEASED

 -- Craig Small <csmall@debian.org>  Wed,  9 Aug 2000 11:18:31 +1000

lprng (3.6.20-1) unstable; urgency=medium

  * New upstream version
  *   - Fixes checkpc Closes: #66777, #66597
  * Default config now longer allows remotes to print Closes: #67135
       This is a security bug!!
  * Now has the html docs back in, thanks joeyh.
  * no need for lprng-doc
  * lpq, lprm and lpr can now be non setuid root. Asked by debconf.
  * README talks about force_localhost Closes: #64868

 -- Craig Small <csmall@debian.org>  Mon, 10 Jul 2000 10:30:19 +1000

lprng (3.6.18-2) unstable; urgency=low

  * Removed references to lpd.conf in /etc/init.d file Closes: #66568
  * Check and warn if we have old and new config file locations Closes: #66570
  * Removed debug crud (fff) out of cron.daily Closes: #66613, #66741

 -- Craig Small <csmall@debian.org>  Mon,  3 Jul 2000 20:49:19 +1000

lprng (3.6.18-1) unstable; urgency=low

  * New upstream version
  * Fixed build dependencies (HELLO ROMAN!!) Closes: #66358
  * Put correct path for checkpc in cron file Closes: #66363, #66471, #66356
  * Fixed moronic shell stuffup on my part in preinst Closes: #66407, #66400
  * preinst now deletes old config file locations

 -- Craig Small <csmall@debian.org>  Thu, 29 Jun 2000 22:12:59 +1000

lprng (3.6.16-1) unstable; urgency=low

  * New upstream version
  * Config files found in /etc/lprng

 -- Craig Small <csmall@debian.org>  Tue, 20 Jun 2000 09:19:04 +1000

lprng (3.6.14-1) unstable; urgency=low

  * New upstream version - not released

 -- Craig Small <csmall@debian.org>  Wed,  7 Jun 2000 20:09:48 +1000

lprng (3.6.12-6) frozen unstable; urgency=medium

  * IMPORTANT Fixed lprm forwarding bug Closes: #64614
  * Fixes preinst s-s-d problem Closes: #62487, #57098
  * Remove /var/spool/lpd on purge Closes: #59548
  * Change path to lpd in lpd.8 Closes: #58341
  * lpr.1 no longer refers to itself Closes: #60598

 -- Craig Small <csmall@debian.org>  Mon, 29 May 2000 09:25:23 +1000

lprng (3.6.12-5) frozen unstable; urgency=medium

  * IMPORTANT BUG IN PPC : Removed kerberos from configure.in Closes: #57565


 -- Craig Small <csmall@debian.org>  Fri, 11 Feb 2000 09:58:27 +1100

lprng (3.6.12-4) frozen unstable; urgency=low

  * Check for lpd.conf before grepping it RC BUG Closes: #55934

 -- Craig Small <csmall@debian.org>  Thu,  3 Feb 2000 16:01:07 +1100

lprng (3.6.12-3) frozen unstable; urgency=low

  * Fixed kill children routine using patch from Patrick
  * lpq doesn't segfault Closes: #51164
  * Check for a file in preinst so it doesnt die

 -- Craig Small <csmall@debian.org>  Wed, 12 Jan 2000 12:15:15 +1100

lprng (3.6.12-2) unstable; urgency=low

  * Added more stty speeds Closes: #50335
  * Fixed init.d script so it doesn't reference exec
     Closes: #45857, #50709, #51824
  * Check for /usr/share/doc/lprng not /usr/doc/lprng, Closes #49025

 -- Craig Small <csmall@debian.org>  Fri,  3 Dec 1999 15:37:19 +1100

lprng (3.6.12-1) unstable; urgency=high

  * New upstream release with SECURITY FIXES

 -- Craig Small <csmall@debian.org>  Tue,  2 Nov 1999 12:55:50 +1100

lprng (3.6.11-1) unstable; urgency=low

  * New upstream source
  * Complains about invalid printer name Closes: #44649
  * Fixed bashism in postinst Closes: #47527

 -- Craig Small <csmall@debian.org>  Mon, 25 Oct 1999 10:02:35 +1000

lprng (3.6.10-2) unstable; urgency=low

  * Fixed postinst Closes: #46239
  * Fixed copyright file, it uses Artistic not GPL

 -- Craig Small <csmall@debian.org>  Thu, 30 Sep 1999 09:41:14 +1000

lprng (3.6.10-1) unstable; urgency=low

  * New upstream version
  * Attempt to kill old lpd Closes: #44017, #44064
  * Deleted useless README.Debian Closes: #43946
  * Fixed postinst for wierd spool files Closes: #44494
  * init.d goes looking for the pid file Closes: #44953
  * init.d runs checkpc -f Closes: #44954
  * Made Joey's build life easier Closes: #44626
  * lpc manpage now in section 8 Closes: #43922

 -- Craig Small <csmall@debian.org>  Mon, 13 Sep 1999 15:21:53 +1000

lprng (3.6.8-3) unstable; urgency=medium

  * Fixed spool permission problem Closes: #43925, #44091, #44108

 -- Craig Small <csmall@debian.org>  Sun,  5 Sep 1999 18:25:07 +1000

lprng (3.6.8-2) unstable; urgency=medium

  * Fixed /usr/etc problem Closes: #43870

 -- Craig Small <csmall@debian.org>  Wed,  1 Sep 1999 11:00:29 +1000

lprng (3.6.8-1) unstable; urgency=low

  * New upstream version Closes: #36649
  * Added some suggested scripts Closes: #16959
  * lpc moved to /usr/sbin Closes: #43027
  * init.d scripts cd to / Closes: #42068
  * lpr.1 man page fixed Closes: #35764

 -- Craig Small <csmall@debian.org>  Tue, 31 Aug 1999 13:29:03 +1000

lprng (3.6.2-2) unstable; urgency=low

  * Moved /var/run/lpd.printer to /var/run/lprng/lpd.printer Closes: #41185
  * Fixed init.d to use correct pid file Closes: #41186 #41246

 -- Craig Small <csmall@debian.org>  Tue, 13 Jul 1999 13:02:11 +1000

lprng (3.6.2-1) unstable; urgency=low

  * New maintainer
  * New Upstream Version Closes: #36649
  * Fixed init.d script Closes: #20577
  * No ugly prompting in postinst Closes: #12577
  * lpd.perms manpage fixed Closes: #31892
  * lpd.8 manpage has proper path Closes: #32418
  * No bashisms in postinst Closes: #32788 #26519
  * init.d checks for /usr/doc/lprng as well Closes: #35283
  * package now uses setuidregister Closes: #36765
  * lpr now prints mime stuff (woo!) Closes: #26707
  * init.d script has a path Closes: #19691
  * LPR HOWTO moved to docs Closes: #30008
  * No annoying postinst stop Closes: #21407 #32906
  * Security fix for lpd.perms

 -- Craig Small <csmall@debian.org>  Fri,  9 Jul 1999 13:01:51 +1000

lprng (3.5.3-0.1) unstable; urgency=low

  * New upstream version

 -- Robert Woodcock <rcw@debian.org>  Fri, 19 Feb 1999 20:20:42 -0800

lprng (3.5.2-1.3) frozen unstable; urgency=low

  * Fix the fix of lpd.perms :( (Bug #32628).
    (This only changes 5 lines in the default configuration
    file; thanks to Eric <ej@goomba.dyn.ez-ip.net> for the patch)

 -- Vincent Renardias <vincent@waw.com>  Sat, 30 Jan 1999 21:03:51 +0100

lprng (3.5.2-1.2) frozen unstable; urgency=low

  * NMU to fix my previous NMU :(
  * s/DEFAUT/DEFAULT/ in /etc/lpd.perms (Bug #32527).

 -- Vincent Renardias <vincent@waw.com>  Thu, 28 Jan 1999 18:25:19 +0100

lprng (3.5.2-1.1) frozen unstable; urgency=low

  * NMU:
    Fix critical bug #23682 (changed lpd.perms).
    Fix critical bug #31889 (swaped 2 lines in postinst).

 -- Vincent Renardias <vincent@waw.com>  Sun, 24 Jan 1999 05:18:42 +0100

lprng (3.5.2-1) unstable; urgency=low

  * new upstream version

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Sun,  9 Aug 1998 11:49:02 +0200

lprng (3.4.2-5) frozen unstable; urgency=low

  * debian/conffiles: added /etc/filter.{pcl,ps}

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Wed, 10 Jun 1998 14:29:04 +0200

lprng (3.4.2-4) frozen unstable; urgency=low

  * debian/control: added Conflicts: apsfilter (<<4.9.1-10)

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Wed, 13 May 1998 19:48:48 +0200

lprng (3.4.2-3) frozen unstable; urgency=low

  * debian/rules: move lpc to /usr/sbin/ (Fixes: 21202)

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Thu, 16 Apr 1998 17:04:07 +0200

lprng (3.4.2-2) frozen unstable; urgency=low

  * debian/rc: make messages policy-conforming (Fixes: #20489)

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Mon, 13 Apr 1998 16:18:37 +0200

lprng (3.4.2-1) unstable; urgency=low

  * new upstream version
  * debian/rules: remove monitor.1 manual page (Fixes: #8690)
                  moved printcap,filter.* to debian/
		  install postrm (Fixes: #14727)
  * debian/rc: add restart and force-reload targets

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Tue,  3 Mar 1998 00:34:20 +0100

lprng (3.4.1-1) unstable; urgency=low

  * new upstream version (fixes #11015, #8690)
  * debian/rc: stop) add --oknodo (#12533, #10724)
  * debian/rules: install filter.* files again (#15180)
  * fixes #15960 (Cannot unpack source)
  * src/common/vars.c: set filter_ld_path empty (#15117, probably #9826)

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Mon,  5 Jan 1998 22:04:42 +0100

lprng (3.2.6-2) unstable; urgency=low

  * man/printcap.5: fixed an inconsistency (#11015)
  * linked against libc6 (#11459, and possibly #10581 and #10555)

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Mon,  4 Aug 1997 17:37:08 +0200

lprng (3.2.6-1) unstable; urgency=low

  * new upstream version

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Sun,  8 Jun 1997 22:57:30 +0200

lprng (3.2.5-1) unstable; urgency=low

  * new upstream version
  * debian/rc: adapted console messages to standard (#8505)
               added `reload' rule (#8609)
  * debian/rules: upstream log is called changelog (#9616)
  * src/common/default.c; lpd.conf: pr=/usr/bin/pr (#10029)

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Wed, 14 May 1997 22:35:02 +0200

lprng (3.2.1-1) unstable; urgency=low

  * new upstream version

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Tue, 25 Mar 1997 00:04:03 +0100

lprng (3.1.8-1) experimental; urgency=low

  * new upstream version

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Thu, 20 Feb 1997 12:51:11 +0100

lprng (3.1.7-2) experimental; urgency=low

  * install lpd, lpf etc in /usr/sbin

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Wed, 19 Feb 1997 15:18:09 +0100

lprng (3.1.7-1) experimental; urgency=low

  * new upstream version
  * src/LPR/lpr_cpyfiles.c: removed the patch for recognising
    Windows Postscript files as text
  * debian.rc: moved to debian/rc
  * src/common/default.c, lpd.conf: check_for_nonprintable no

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Wed, 19 Feb 1997 00:26:56 +0100

lprng (2.4.2-1) unstable; urgency=low

  * new upstream version
  * new upstream version
  * src/LPR/lpr_cpyfiles.c: recognize Windows-generated PostScript as text
  * src/common/termclear.c: corrects conflicting definitions of tgetstr

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Thu, 7 Nov 1996 22:35:24 +0100

lprng (2.3.12-3) unstable stable; urgency=high

  * moved to unstable and stable
  * replaces lpr which has security problems

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Mon, 7 Oct 1996 19:10:48 +0200

lprng (2.3.12-2) experimental; urgency=low

  * (debian/control): install conffiles
  * (debian/control): added Provides: lpr
			    Suggests: magicfilter
			    Conflicts: lpr
			    Replaces: lpr

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Thu, 26 Sep 1996 17:34:18 +0200

lprng (2.3.12-1) experimental; urgency=low

  * added minimal printcap
  * run daemon as lp
  * install daemon and admin programs in /usr/sbin
  * Initial release.

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Tue, 17 Sep 1996 23:32:15 +0200

Local variables:
mode: debian-changelog
End:
